Functions
FLAG_Management
Peripheral Driver » LL Driver » PWR » Functions » PWR Exported Functions
Collaboration diagram for FLAG_Management:

## Functions
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_pwr_get_ext_wakeup_status (void)
| Get the External Wake Up Status. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_pwr_clear_ext_wakeup_status (uint32_t wakeup_pin)
| Clear the External Wake Up Status. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_pwr_clear_wakeup_event (uint32_t event)
| Clear the Event that triggered the DeepSleep WakeUp. More...
__STATIC_INLINE uint32_t | ll_sleep_timer_read_flag_it (void)
| Read the sleep timer interrupt status flag. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_pwr_is_active_flag_psc_cmd_busy (void)
| Indicate if the Power State Controller is in busy state. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_pwr_is_active_flag_comm_deep_sleep_stat (void)
| Indicate if the Communication Core is in Deep Sleep Mode. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_pwr_disable_cache_module (void)
| Disable cache function. More...

## Detailed Description

## Function Documentation

## ◆ ll_pwr_clear_ext_wakeup_status()

SECTION_RAM_CODE __STATIC_INLINE void ll_pwr_clear_ext_wakeup_status | ( | uint32_t | wakeup_pin | ) |

Clear the External Wake Up Status.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SLP_EVENT | EXT_WKUP_STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  wakeup_pin | This parameter can be a combination of the following values: LL_PWR_EXTWKUP_PIN0 LL_PWR_EXTWKUP_PIN1 LL_PWR_EXTWKUP_PIN2 LL_PWR_EXTWKUP_PIN3 LL_PWR_EXTWKUP_PIN4 LL_PWR_EXTWKUP_PIN5 LL_PWR_EXTWKUP_PIN_ALL

Return values

  None |

Definition at line 1416 of file gr55xx_ll_pwr.h.

## ◆ ll_pwr_clear_wakeup_event()

SECTION_RAM_CODE __STATIC_INLINE void ll_pwr_clear_wakeup_event | ( | uint32_t | event | ) |

Clear the Event that triggered the DeepSleep WakeUp.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SLP_EVENT | SMCOSCEN_EVENT | +-------------------—+--------------------------------—+ \endrst SLP_EVENT | TIMER_EVENT SLP_EVENT | EXT_WKUP_EVENT SLP_EVENT | WATCHDOG_EVENT

Parameters

  event | This parameter can be a combination of the following values: LL_PWR_WKUP_EVENT_BLE LL_PWR_WKUP_EVENT_TIMER LL_PWR_WKUP_EVENT_EXT LL_PWR_WKUP_EVENT_BOD_FEDGE LL_PWR_WKUP_EVENT_MSIO_COMP LL_PWR_WKUP_EVENT_WDT LL_PWR_WKUP_EVENT_CALENDAR

Return values

  None |

Definition at line 1447 of file gr55xx_ll_pwr.h.

References LL_PWR_WKUP_EVENT_ALL.

## ◆ ll_pwr_disable_cache_module()

SECTION_RAM_CODE __STATIC_INLINE void ll_pwr_disable_cache_module | ( | void |  | ) |

Disable cache function.

Note
  The cache should be closed before chip go to deepsleep.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL0 | EN | +-------------------—+--------------------------------—+ \endrst

Return values

  None |

Definition at line 1519 of file gr55xx_ll_pwr.h.

## ◆ ll_pwr_get_ext_wakeup_status()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_pwr_get_ext_wakeup_status | ( | void |  | ) |

Get the External Wake Up Status.

Note
  0 means not waked up and 1 means waked up.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | SLP_EVENT | EXT_WKUP_STATUS | +-------------------—+--------------------------------—+ \endrst

Return values

  Returned | value can be a combination of the following values: LL_PWR_EXTWKUP_PIN0 LL_PWR_EXTWKUP_PIN1 LL_PWR_EXTWKUP_PIN2 LL_PWR_EXTWKUP_PIN3 LL_PWR_EXTWKUP_PIN4 LL_PWR_EXTWKUP_PIN5 LL_PWR_EXTWKUP_PIN_ALL

Definition at line 1389 of file gr55xx_ll_pwr.h.

References LL_PWR_EXTWKUP_PIN_ALL.

## ◆ ll_pwr_is_active_flag_comm_deep_sleep_stat()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_pwr_is_active_flag_comm_deep_sleep_stat | ( | void |  | ) |

Indicate if the Communication Core is in Deep Sleep Mode.

Note
  When Communication Core is in Deep Sleep Mode, only low_power_clk is running.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | MSIO_PAD_CFG_1 | COMM_DEEPSLCNTL_DEEP_SLEEP_STAT | +-------------------—+--------------------------------—+ \endrst

Return values

  State | of bit (1 or 0).

Definition at line 1500 of file gr55xx_ll_pwr.h.

## ◆ ll_pwr_is_active_flag_psc_cmd_busy()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_pwr_is_active_flag_psc_cmd_busy | ( | void |  | ) |

Indicate if the Power State Controller is in busy state.

Note
  This is bit set 1 when the PSC_CMD_REQ[0] is set to 1, and will remain 1 until the PSC_CMD_OPC has been transferred to the PSC.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | PSC_CMD | MCU_PWR_BUSY | +-------------------—+--------------------------------—+ \endrst

Return values

  State | of bit (1 or 0).

Definition at line 1481 of file gr55xx_ll_pwr.h.

## ◆ ll_sleep_timer_read_flag_it()

__STATIC_INLINE uint32_t ll_sleep_timer_read_flag_it | ( | void |  | ) |

Read the sleep timer interrupt status flag.

Register | BitsName
--- | ---
AON_SLP_EVENT | SLP_TIMER

Return values

  interrupt | flag of sleep timer (1 or 0).

Definition at line 1461 of file gr55xx_ll_pwr.h.

References LL_PWR_WKUP_EVENT_TIMER.